import React from 'react';
import styles from './PlayerScores.module.css';

export default ({ name, guesses, totalScore }) => (
  <div className={styles.tile}>
    <span className={styles.name}>{name}</span>
    <span className={styles.total}>Score: {totalScore}</span>
    <div className={styles.scores}>
      {Object.entries(guesses)
        .map(([ k, v ]) => [ parseInt(k), v ])
        .sort(([ k1 ], [ k2 ]) => (k1 < k2 ? -1 : k1 > k2 ? 1 : 0))
        .map(
          ([ num, { score } ]) =>
            score !== undefined ? (
              <span key={num}>
                {num}: {score ?? 0}
              </span>
            ) : null
        )}
    </div>
  </div>
);
