import React from 'react';
import styles from './Dropdown.module.css';

export const Item = ({ value, onSelect, children }) => (
  <div className={styles.item} onClick={() => onSelect(value)}>
    {children}
  </div>
);

export const Dropdown = ({ selected, onSelect, children }) => (
  <div className={styles.container}>
    <div className={styles.button}>{selected}</div>
    <div className={styles.list}>{children.map((child, key) => React.cloneElement(child, { onSelect, key }))}</div>
  </div>
);
